Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 158889 - x11-drivers/nvidia-drivers:-1.0.9746 version bump
Summary: x11-drivers/nvidia-drivers:-1.0.9746 version bump
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Lowest enhancement (vote)
Assignee: X11 External Driver Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-22 23:59 UTC by Scott Van Der Wall
Modified: 2006-12-29 06:30 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
new ebuild (nvidia-drivers-1.0.9746.ebuild,12.67 KB, text/plain)
2006-12-22 23:59 UTC, Scott Van Der Wall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Van Der Wall 2006-12-22 23:59:00 UTC
New driver avaiilable from nvidia.  Its highlights being support for the new 8800 GTX and GTS.  I'll attach an ebuild, could someone sync it up (basically the same as previous ones).  Should be inserted as ~x86 and ~AMD64, but are more than likely stable.
Comment 1 Scott Van Der Wall 2006-12-22 23:59:33 UTC
Created attachment 104619 [details]
new ebuild
Comment 2 Samuli Suominen gentoo-dev 2006-12-23 00:09:16 UTC
http://allen.brooker.gb.net/misc/kitten-0day.jpg
Comment 3 Scott Van Der Wall 2006-12-23 00:39:48 UTC
lol nice picture.  However this was released 2 days ago (on the 21st) so i figured it was an overlook.
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2006-12-23 01:18:25 UTC
(In reply to comment #3)
> lol nice picture.  However this was released 2 days ago (on the 21st) so i
> figured it was an overlook.

Sure; we don't have anything to do but watch nVidia website for new driver releases so that we can commit them in 5 minutes after release... Such slackers, shame on us! o_O
 
Comment 5 Scott Van Der Wall 2006-12-23 01:20:57 UTC
I'm sorry, I meant no offense.
Comment 6 adam 2006-12-23 17:07:35 UTC
I watch Nvidia website every day O_O
Comment 7 Chris Gianelloni (RETIRED) gentoo-dev 2006-12-27 07:00:59 UTC
Thanks for the ebuild.  In the future, if you're not making changes, there's no need for an ebuild.  Simply saying that copying the ebuild works is enough.

I'll get to this as soon as I get a chance.  Trying to catch up from my tons and tons of vacation email.
Comment 8 Chris Gianelloni (RETIRED) gentoo-dev 2006-12-28 11:40:13 UTC
Added to CVS by just copying the ebuild and editing one line.
Comment 9 Marcio Ternus 2006-12-28 16:23:13 UTC
There is a problem with this driver

Nvidia has removed suport for older GPUs, my X don't start after upgrading to this version.

My Xorg.0.log have this message:

II) NVIDIA dlloader X Driver  1.0-9746  Fri Dec 15 10:21:43 PST 2006
(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
(II) Primary Device is: PCI 01:00:0
(WW) NVIDIA(0): The NVIDIA GeForce4 440 Go 64M GPU installed in this system is
(WW) NVIDIA(0):     supported through the NVIDIA 1.0-96xx Legacy drivers.
(WW) NVIDIA(0):     Please visit http://www.nvidia.com/object/unix.html for
(WW) NVIDIA(0):     more information.  The 1.0-9746 NVIDIA driver will ignore
(WW) NVIDIA(0):     this GPU.  Continuing probe... 
(EE) No devices detected.

Fatal server error:
no screens found

I think it's better to mask this driver for now, I imagine there a lot o people out there with a Geforce4 or older GPU.

I have solved the problem swichting back to version 9631
Comment 10 cruzki 2006-12-28 16:54:56 UTC
I think that it's time to update the nvidia install page in the docs and put a table with the gpu --> driver to use because now, for example, if I have a geforce 4 440 mx, there are two options: use the legacy or mask the new update. What are the best?
Comment 11 Marcio Ternus 2006-12-28 17:29:06 UTC
I was looking into nvidia's website about the legacy driver and there there's a list with supported gpus, starting with riva TNT and ending with Geforce2 quadro.

For the people who owns a geforce 3 or geforce 4, it seems that the best driver is the 9631, it works great at least to me (I have a geforce 4 go 440), even beryl works (beryl have a lot of bugs, but they seem more related to the experimental nature of beryl than to the driver).

It's possible that Nvidia will update their legacy drivers to version 96xx and move the suport for geforce 3 and 4 to it in the next days, someone here has some information about this?
Comment 12 Marcio Ternus 2006-12-28 17:42:43 UTC
Hi, it's me again...

I have found this at nvidiaś forum about the 9746:

Release Highlights:


    * Added support for GeForce 8800 GTS and GeForce 8800 GTX boards.


The 1.0-9746 NVIDIA Accelerated Linux Graphics Driver Set for Linux/x86 is available for download via HTTP and FTP.
The 1.0-9746 NVIDIA Accelerated Linux Graphics Driver Set for Linux/x86-64 is available for download via HTTP and FTP.

Please note: This NVIDIA Linux graphics driver release supports GeForceFX and newer NVIDIA GPUs, GeForce4 and older GPUs are supported through the 1.0-96xx and 1.0-71xx NVIDIA legacy graphics drivers.

and on the same forum, in another thread, they talk about the 9631 legacy:

Release Highlights:


    * Fixed an OpenGL crash on some GeForce 3 and GeForce 4 GPUs.
    * Fixed an X server crash starting some fullscreen OpenGL games.
    * Improved interaction with newer Linux kernels.


The 1.0-9631 NVIDIA Accelerated Linux Graphics Driver Set for Linux/x86 is available for download via HTTP and FTP.
The 1.0-9631 NVIDIA Accelerated Linux Graphics Driver Set for Linux/x86-64 is available for download via HTTP and FTP

here is the link to the x86 version:
http://www.nvidia.com/object/linux_display_ia32_1.0-9631.html

and here the x86-64:
http://www.nvidia.com/object/linux_display_amd64_1.0-9631.html

I think it's a good idea to put this legacy driver in testing in nvidia-legacy-drivers and update the docs like Cruzki sugeste, and maybe posting something into the forums too.


Comment 13 Chris Gianelloni (RETIRED) gentoo-dev 2006-12-29 06:10:21 UTC
This is not a discussion forum.  Please don't use it as such.  This was a bug for a version bump, which was completed.  If you feel there is an additional bug/request, then file a new bug report.
Comment 14 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2006-12-29 06:30:51 UTC
(In reply to comment #12)
> Hi, it's me again...
> I think it's a good idea to put this legacy driver in testing in
> nvidia-legacy-drivers 

This would mean legacy-drivers would mix drivers that work with <=gf2 and gf3-gf4 which wouldn't be any better than now.

Anyway this bug was about the bump and is fixed, I've created bug 159372 about these followup problems.